const std = @import("std");

const lj = @import("./labjack.zig");

pub fn main() !void {
    const ver = lj.getDriverVersion();
    std.debug.print("Driver version: {d}\n", .{ver});

    const labjack = lj.Labjack.autodetect();

    const in = try labjack.analogReadOne(.{ .channel = .diff_01, .gain_index = 2 });
    std.debug.print("Read voltage: {d}. Overvolt: {}\n", .{ in.voltage, in.over_voltage });
    try labjack.digitalWriteOne(.{ .channel = .{ .io = 0 }, .level = true });

    const sample = try labjack.readAnalogWriteDigital(
        2,
        .{ .{ .channel = .diff_01, .gain_index = 2 }, .{ .channel = .diff_23, .gain_index = 2 } },
        .{false} ** 4,
        true,
    );

    for (sample, 0..) |input, idx| {
        std.debug.print("  channel {d}: {d} V\n", .{ idx, input.voltage });
    }
}
